{ pkgs, ... }:
{
  hardware.pulseaudio.enable = false; # gnome defaults it to true

  #sound.enable = true # alsa? likely conflicts with pipewire
  #sound.mediaKeys.enable = true # alsa? only enable if headless
  services.pipewire.enable = true;
  services.pipewire.alsa.enable = true;
  services.pipewire.alsa.support32Bit = true;
  #services.pipewire.jack.enable = true;
  services.pipewire.pulse.enable = true;

  # use the example session manager (no others are packaged yet so this is enabled by default,
  # no need to redefine it in your config for now)
  #services.pipewire.media-session.enable = true;

  environment.systemPackages = with pkgs; [
    pavucontrol # volume and defaults
    easyeffects # eq
    helvum      # patchbay
    carla       # VST (TODO: move into a DAW profile?)
  ];

  security.rtkit.enable = true; # optional
}
