{ config, pkgs, lib, mkDomain, ... }:
{
  # Kukkee
  # Self-hosted Doodle alternative: a meeting poll tool

  /** /

  nixpkgs.overlays = [
    (final: prev: {
      kukkee = prev.callPackage ./pkg { };
    })
  ];

  imports = [ ./module ];

  /** /
  services.kukkee = {
    #enable = true;
    port = 5666;
    baseUrl = "https://${mkDomain "kukkee"}";
    #mongodb.enable = false;
  };
  services.nginx.virtualHosts.${mkDomain "kukkee"} = lib.mkIf config.services.kukkee.enable {
    forceSSL = true; # addSSL = true;
    enableACME = true; #useACMEHost = acmeDomain;
    locations."/" = {
      proxyPass = "http://127.0.0.1:${toString config.services.kukkee.port}";
      proxyWebsockets = true;
    };
  };
  /**/

}
