{ config, pkgs, ... }:
{
  virtualisation.podman.enable = true;
  virtualisation.oci-containers.backend = "podman"; # default
  virtualisation.podman.dockerCompat = !config.virtualisation.docker.enable; # alias docker to podman

  virtualisation.podman.autoPrune.enable = true;
  virtualisation.podman.autoPrune.dates = "weekly";
  #virtualisation.podman.autoPrune.flags = [ "--all" ];

  environment.systemPackages = with pkgs; [
    #podman-compose # TODO: docker-compose alias to this
    podman-tui
  ];

  # Required for containers under podman-compose to be able to talk to each other.
  #virtualisation.defaultNetwork.settings.dns_enabled = true;

  # TODO: if root-on-zfs
  #virtualisation.podman.extraPackages = [ pkgs.zfs ];
}
