{ pkgs, ... }:
{
  environment.systemPackages = with pkgs; [
    # posix-ish utils
    lsof
    lshw
    file
    tmux
    pwgen
    git #gh hub
    nmap
    rsync
    bind.dnsutils
    gnused
    gnumake
    coreutils-full
    moreutils # includes 'parallel'
    binutils
    diffutils
    findutils
    usbutils
    bash-completion
    curl
    wget
    strace
    killall
    pciutils
    htop
    btop
    procps
    util-linux
    sysstat
    numactl # NUMA stats
    tcpdump
    trace-cmd # Ftrace CLI
    #nicstat # net device stats
    ethtool # net device info
    tiptop # PMU/PMC top
    cpuid
    msr-tools # CPU digging

    # neo utils
    glances
    bottom
    #zenith # waiting for backport of build fix
    #sshfs
    entr
    tealdeer # tldr, but rust
    axel aria aria2
    bat
    xe # xargs alternative
    sd # sed alternative
    fd # find alternative
    silver-searcher # `ag`
    ripgrep # 'rg'
    jq
    yq
    htmlq
    sysz
    du-dust # du alternative
    ncdu    # Disk usage analyzer with an ncurses interface
    dialog # TODO: remove?
    visidata
    sqlite

    # archive
    zip
    unrar
    unzip
    atool
    p7zip
    bzip2
    gzip
    atool

    # nix utils
    nix-output-monitor
    nix-top
    nix-search-cli # nix-search
    nix-diff
    comma
  ];
}
